import React from "react";
import Button from "components/controls/Button";
import { ReactComponent as SVGTimesIcon } from "assets/svg/times.svg";

type Props = {
  onClose: VoidFunction,
};

export default function _ModalCloseButton({onClose}: Props) {
  return (
    <div className="absolute right-4 top-4">
      <Button
        htmlType="button"
        iconed="only"
        className="w-10 h-10"
        variant="gray"
        type="text"
        onClick={onClose}
      >
        <SVGTimesIcon className="w-full h-full stroke-current" />
      </Button>
    </div>
  );
}
